Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Titan » Can not add Titan in Eclipse
Can not add Titan in Eclipse [message #1841212] Thu, 06 May 2021 15:40 Go to next message
Julien Deltour is currently offline Julien DeltourFriend
Messages: 6
Registered: March 2021
Junior Member
Hello,

I am trying to install Titan for ITS testsuites.

I have try two methods :
- compiled titan from source, compilation succeed and bin is present in an Install directory as explained in the installation guide
- installed titan using apt : sudo apt-get install eclipse-titan

But after that, when I start Eclipse, I don't see titan options anywhere.

In a previous version of a setup (done in 2017), I could import .tpd for creating my workspaces form ITS repository. But in my actual, I can't do that. Eclipse don't know anything about Titan.

I have try doing Help->New software in Eclipse but I don't know which path I have to indicate. I have try to indicate the Install directory, but an error occurs :

could not find file ..../Install

Maybe I am missing something.

What I want is to be able to import my .tpd file from ITS repo to automaticaly build my workspace.
Re: Can not add Titan in Eclipse [message #1841225 is a reply to message #1841212] Fri, 07 May 2021 06:47 Go to previous messageGo to next message
Lenard Nagy is currently offline Lenard NagyFriend
Messages: 37
Registered: September 2016
Member
Hi Julien,

From what You have described here I think You do not have the Eclipse Titan Executor plugin installed. Please follow the instrunctions in this Installation Guide:
https://www.eclipse.org/downloads/download.php?file=/titan/Eclipse_installationguide.pdf

Please let uss know if it helped!

Lenard Nagy
Re: Can not add Titan in Eclipse [message #1841226 is a reply to message #1841225] Fri, 07 May 2021 06:51 Go to previous message
Julien Deltour is currently offline Julien DeltourFriend
Messages: 6
Registered: March 2021
Junior Member
Hi,

I was answering during your message : " my bad, I forgot to install the Eclipse plug-in".

Thanks anyway.

Julien
Previous Topic:Compiler Version could not be determined
Next Topic:Variables used in several .cfg files
Goto Forum:
  


Current Time: Wed Jun 23 22:29:38 GMT 2021

Powered by FUDForum. Page generated in 0.02053 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top